## phamm 0.5.15

=== po/Makefile ===
#!/bin/bash
# Makefile to generate POT
#

all:
	@echo Please, specify a target [pot,all-mo]

all-mo:
	for i in `ls -1 *po`;
	do
	    echo $i
	done

pot:
	# Generate updated phamm.pot file
	# cp messages_header phamm.pot

	po4a-gettextize -o tags="<prettyName>" -o tagsonly=1 -f xml \
		-m ../plugins/alias.xml \
		-m ../plugins/ftp.xml \
		-m ../plugins/mail.xml \
		-m ../plugins/person.xml \
		-m ../plugins/proxy.xml \
		-p phamm.pot

	find ../ -name *.php -exec xgettext --keyword=_ -L PHP -j -o phamm.pot --omit-header -s {} \;

## phamm 0.5.18

=== po/Makefile ===
--- 
+++ 
@@ -1,14 +1,16 @@
 #!/bin/bash
 # Makefile to generate POT
 #
+
+LOCALDIR = ../../locale
 
 all:
 	@echo Please, specify a target [pot,all-mo]
 
 all-mo:
-	for i in `ls -1 *po`;
-	do
-	    echo $i
+	@for dir in $(LOCALDIR) ; \
+	do \
+	    echo Doubled word check in... ; \
 	done
 
 pot:

=== debian/changelog ===
phamm (0.5.18-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Danish (Joe Hansen).  Closes: #658297
    - Dutch (Jeroen Schot).  Closes: #658864
    - Norwegian Bokmål (Bjørn Steensrud).  Closes: #670524
    - Polish (Michał Kułach).  Closes: #670627

 -- Christian Perrier <bubulle@debian.org>  Fri, 04 May 2012 07:47:17 +0200

phamm (0.5.18-3) unstable; urgency=high

  * Fixed debian/phamm.config (Closes: #599282) thanks to Ubuntu see patch 0.5.18-2ubuntu1
  * Switch to dpkg-source 3.0 (quilt) format

 -- Alessandro De Zorzi <lota@nonlontano.it>  Mon, 12 Apr 2010 17:41:52 +0200

phamm (0.5.18-2) unstable; urgency=low

  * Adjusted conflict with gnarwl (<= 3.3) 
  * Removed slapd restart (phamm-ldap)
  * Fixed phamm-ldap-vacation installation

 -- Alessandro De Zorzi <lota@nonlontano.it>  Fri, 02 Apr 2010 13:49:52 +0200

phamm (0.5.18-1) unstable; urgency=low

  * New upstream release

 -- Alessandro De Zorzi <lota@nonlontano.it>  Wed, 31 Mar 2010 13:21:33 +0200

phamm (0.5.17-1) unstable; urgency=low

  * New upstream release
  * Fixed phamm.config for Noninteractive frontend (Closes: #574239)
  * Added Japanese debconf translation 
    thanks to Hideki Yamane (Closes: #558063)
  * Updated Spanish debconf translation
    thanks to Francisco Javier Cuadrado (Closes: #567455)
  * Standard-Version bumped to 3.8.4, no changes required.

 -- Alessandro De Zorzi <lota@nonlontano.it>  Wed, 24 Mar 2010 09:49:23 +0100

phamm (0.5.15-1) unstable; urgency=low
    
  * New upstream release
  * Fixed minor bug in rules (Closes: #518845)
  * Updated Vietnamese debconf translation (Closes: #513345)
 
 -- Alessandro De Zorzi <lota@nonlontano.it>  Mon, 16 Mar 2009 17:45:10 +0100

phamm (0.5.12-4) unstable; urgency=low

  * Added Russian debconf templates translation
    thanks to Yuri Kozlov (Closes: #496813)
  * Added Traditional Chinese debconf templates translation
    thanks to Kanru Chen (Closes: #504365)
  * Added Basque debconf templates translation
    thanks to Piarres Beobide (Closes: #504534)

 -- Alessandro De Zorzi <lota@nonlontano.it>  Tue, 04 Nov 2008 14:53:25 +0100

phamm (0.5.12-3) unstable; urgency=high

  * Now phamm does not edit slapd.conf to include its own schema.
    (Closes: #493781) 

 -- Alessandro De Zorzi <lota@nonlontano.it>  Sun, 17 Aug 2008 08:57:20 +0200

phamm (0.5.12-2) unstable; urgency=low

  * Added ldap-utils dependency (Closes: #493136)
  * Updated Czech debconf translation (Closes: #492489)
  * Updated Finnish debconf translation (Closes: #492518)
  * Updated Galician debconf translation (Closes: #492607)
  * Updated Swedish debconf translation (Closes: #492646)
  * Updated German debconf translation (Closes: #492726)
  * Updated French debconf translation (Closes: #493071)
  * Updated Russian debconf translation (Closes: #493240)
  * Updated Portuguese debconf translation (Closes: #493562)
  * Added Italian debconf translation

 -- Alessandro De Zorzi <lota@nonlontano.it>  Thu, 31 Jul 2008 18:50:12 +0200

phamm (0.5.12-1) unstable; urgency=low

  * New upstream release
  * Added Swedish debconf translation, thanks Martin Bagge (Closes: #487754)
  * Standard-Version bumped to 3.8.0, no changes required.

 -- Alessandro De Zorzi <lota@nonlontano.it>  Sat, 26 Jul 2008 10:41:58 +0200

phamm (0.5.9-2) unstable; urgency=low

  * Updated descriptions (Closes: #461838)
  * Added Portuguese translation (Closes: #462657, #458090)
  * Added Norwegian Bokmål translation (Closes: #462808)
  * Added Vietnamese translation (Closes: #462912)
  * Added Galician translation (Closes: #462995)
  * Added Finnish translation (Closes: #463940)
  * Added German translation (Closes: #464185)
  * Added Czech translation (Closes: #464426)
  * Added Dutch translation (Closes: #464537)
  * Added Russian translation (Closes: #464565)
  * Added French translation (Closes: #465049)
  * Added Phamm locales translations

 -- Alessandro De Zorzi <lota@nonlontano.it>  Sun, 10 Feb 2008 14:00:00 +0100

phamm (0.5.9-1) unstable; urgency=low

  * Initial release (Closes: #440290)

 -- Alessandro De Zorzi <lota@nonlontano.it>  Mon, 24 Dec 2007 14:00:00 +0100

=== debian/control ===
Source: phamm
Section: web
Priority: extra
Maintainer: Phamm Team <team@phamm.org>
Uploaders: Alessandro De Zorzi <lota@nonlontano.it>, Mirko Grava <ops@klez.it>
Build-Depends: debhelper (>= 5), po-debconf, perl
Standards-Version: 3.8.4
Homepage: http://www.phamm.org

Package: phamm
Architecture: all
Depends: php5, php5-ldap, debconf (>= 0.5) | debconf-2.0, ${shlibs:Depends}, ${misc:Depends}
Recommends: phamm-ldap
Suggests: apache2
Description: PHP front-end to manage virtual services on LDAP - main package
 Phamm is a useful PHP front-end providing role-based administrative
 access to virtual services using an LDAP back-end.
 .
 If you are looking for a Postfix LDAP Front-end Phamm could be a good solution.
 Other MTA's can be used like qmail-ldap, Courier, Exim and Dovecot.
 .
 Phamm works with a plug-in system: the typical service is a mail
 server with virtual mail domain support, but plug-ins are also
 available for FTP, web proxying, and so on. The use of XML descriptor
 files simplifies creating new plugins or customizing existing ones.

Package: phamm-ldap
Architecture: all
Depends: slapd, ldap-utils, phamm-ldap-vacation | gnarwl, phamm-ldap-amavis | amavisd-new, debconf (>= 0.5) | debconf-2.0, ${shlibs:Depends}, ${misc:Depends}
Description: PHP front-end to manage virtual services on LDAP - back-end files
 Phamm is a useful PHP front-end providing role-based administrative
 access to virtual services using an LDAP back-end.
 .
 This package provides Phamm's own LDAP schema file and custom ACL.

Package: phamm-ldap-vacation
Architecture: all
Depends: slapd, ${shlibs:Depends}, ${misc:Depends}
Conflicts: gnarwl (<= 3.3)
Description: PHP front-end to manage virtual services on LDAP - back-end files
 Phamm is a useful PHP front-end providing role-based administrative
 access to virtual services using an LDAP back-end.
 .
 This package provides Phamm's vacation LDAP schema file.

Package: phamm-ldap-amavis
Architecture: all
Depends: slapd, ${shlibs:Depends}, ${misc:Depends}
Conflicts: amavisd-new
Description: PHP front-end to manage virtual services on LDAP - back-end files
 Phamm is a useful PHP front-end providing role-based administrative
 access to virtual services using an LDAP back-end.
 .
 This package provides Amavis LDAP schema file.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

configure: configure-stamp

configure-stamp:
	dh_testdir
	touch configure-stamp

clean: 
	dh_testdir
	debconf-updatepo
	dh_testroot
	dh_clean 
	rm -f build-stamp

build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	touch $@

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	find . -type f -not \( \
		-path '*/CSV/*' -or \
		-path '*/debian/*' -or \
		-path '*/examples/*' -or \
		-path '*/plugins/*' -or \
		-path '*/schema/*' -or \
		-path '*/tools/*' -or \
		-name 'Makefile' -or \
		-name 'COPYRIGHT' -or \
		-name 'CHANGELOG' -or \
		-name 'PHAMM-LOGO-USE.POLICY' -or \
		-name 'LIB_FUNCTIONS' -or \
		-name 'LICENSE' -or \
		-name 'README' -or \
		-name 'README.PLUGINS' -or \
		-name 'THANKS' -or \
		-name 'TODO' -or \
		-name '.cvsignore' -or \
		-name 'build-stamp' -or \
		-name 'config.inc.php' \
	\) -exec install -D --mode=644 {} debian/phamm/usr/share/phamm/{} \;

	find ./plugins -type f -exec install -D --mode=644 {} debian/phamm/etc/phamm/{} \;
	
# Build architecture-independent files here.
binary-dep: build install

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs
	dh_installlogrotate
	dh_compress
	dh_install
	dh_fixperms
	dh_install -pphamm debian/conf/apache.conf /etc/phamm/
	dh_link -pphamm /etc/phamm/plugins /usr/share/phamm/plugins
	dh_link -pphamm /usr/share/doc/phamm /usr/share/phamm/doc
	dh_installdebconf
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

#binary-arch: build install
binary-arch:

binary: binary-indep
.PHONY: build clean binary-indep binary install configure

=== debian/watch ===
# watch control file for uscan
version=3
# Site                                      Version Script
http://open.rhx.it/phamm/phamm-(.*)\.tar\.gz debian uupdate

## phamm 0.6.2

=== debian/changelog ===
phamm (0.6.2-1) unstable; urgency=low

  * New upstream release (Closes: #750518)
  * Standard-Version bumped to 3.9.5, copyright format 1.0.

 -- Alessandro De Zorzi <lota@nonlontano.it>  Tue, 15 Jul 2014 07:32:57 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Phamm Team <team@phamm.org>
 Uploaders: Alessandro De Zorzi <lota@nonlontano.it>, Mirko Grava <ops@klez.it>
 Build-Depends: debhelper (>= 5), po-debconf, perl
-Standards-Version: 3.8.4
+Standards-Version: 3.9.5
 Homepage: http://www.phamm.org
 
 Package: phamm

## phamm 0.6.5

=== debian/changelog ===
phamm (0.6.5-1) unstable; urgency=medium

  * New upstream release
  * Added Danish debconf translation (Thx to Joe Dalton) Closes: #830655

 -- Alessandro De Zorzi <lota@nonlontano.it>  Tue, 12 Jul 2016 09:10:48 +0200

phamm (0.6.2-2) unstable; urgency=medium

  * PHP 7.0 Transition Fix (Closes: #821544)
  * Updated Dutch translation (Closes: #774586)
  * Added Brazilian Portuguese (Closes: #824285)

 -- Alessandro De Zorzi <lota@nonlontano.it>  Tue, 31 May 2016 16:25:17 +0200

phamm (0.6.2-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * d/contol: Add Pre-Depends on dpkg >= 1.15.7.2 in phamm package to ensure
    we are not using an obsolete dpkg with d/phamm.maintscript.

 -- Jean-Michel Nirgal Vourgère <jmv_deb@nirgal.com>  Thu, 04 Dec 2014 00:24:35 +0100

phamm (0.6.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add support for apache2.4 (Closes: #669841):
    -  Move conffile from /etc/phamm/apache.conf to
       /etc/apache2/conf-available/phamm.conf
    -  let dh_apache2 handle the conffile
    -  drop debconf entries reconfigure-webserver and restart-webserver: Only
       apache2 is supported, and dh_apache2 causes automatic reload.
    -  Remove obsolete apache1 and apache2.2 conf.d/ links on upgrade.
  * Added Dutch translation (Closes: #763643). Thanks Frans Spiesschaert.

 -- Jean-Michel Nirgal Vourgère <jmv_deb@nirgal.com>  Fri, 14 Nov 2014 16:15:52 +0100

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Priority: extra
 Maintainer: Phamm Team <team@phamm.org>
 Uploaders: Alessandro De Zorzi <lota@nonlontano.it>, Mirko Grava <ops@klez.it>
-Build-Depends: debhelper (>= 5), po-debconf, perl
+Build-Depends: debhelper (>= 5), po-debconf, perl, dh-apache2 | apache2-dev
 Standards-Version: 3.9.5
 Homepage: http://www.phamm.org
 
 Package: phamm
 Architecture: all
-Depends: php5, php5-ldap, debconf (>= 0.5) | debconf-2.0, ${shlibs:Depends}, ${misc:Depends}
-Recommends: phamm-ldap
-Suggests: apache2
+Pre-Depends: dpkg (>= 1.15.7.2)
+Depends: php, php-ldap, debconf (>= 0.5) | debconf-2.0, ${shlibs:Depends}, ${misc:Depends}
+Recommends: phamm-ldap, ${misc:Recommends}
 Description: PHP front-end to manage virtual services on LDAP - main package
  Phamm is a useful PHP front-end providing role-based administrative
  access to virtual services using an LDAP back-end.

## phamm 0.6.8

=== po/Makefile ===
--- 
+++ 
@@ -5,14 +5,17 @@
 LOCALDIR = ../../locale
 
 all:
-	@echo Please, specify a target [pot,all-mo]
+	@echo Please, specify a target [pot,all-mo, all-po]
 
 all-mo:
-	@for dir in $(LOCALDIR) ; \
-	do \
-	    echo Doubled word check in... ; \
+	for lang in `ls -1 ??_??.po` ; do \
+	  DESTDIR=`echo $$lang| cut -d \. -f 1`; \
+	  msgfmt -v $$lang -o ../locales/$$DESTDIR/LC_MESSAGES/messages.mo; \
 	done
-
+all-po:
+	for lang in `ls -1 ??_??.po` ; do \
+	  msgmerge -vU $$lang phamm.pot; \
+	done
 pot:
 	# Generate updated phamm.pot file
 	# cp messages_header phamm.pot

=== debian/changelog ===
phamm (0.6.8-1ubuntu2) impish; urgency=medium

  * No-change rebuild due to OpenLDAP soname bump.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Mon, 21 Jun 2021 18:07:24 -0400

phamm (0.6.8-1ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Fix Apache configuration file to use mod_php7.c, not mod_php5.c.

 -- Logan Rosen <logan@ubuntu.com>  Wed, 16 Dec 2020 23:37:29 -0500

phamm (0.6.8-1) sid; urgency=medium

  * New upstream release (Closes: #878618)

 -- Alessandro De Zorzi <lota@nonlontano.it>  Fri, 15 Mar 2019 10:58:04 +0100

phamm (0.6.5-1ubuntu1) artful; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Fix Apache configuration to use mod_php7.c, not mod_php5.c.
    - debian/patches/php7_has_removed_ereg.patch: PHP7.0 has removed
      ereg as an API.  Closes LP #1570968.

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Mon, 29 May 2017 16:46:56 -0700

phamm (0.6.2-2ubuntu1) yakkety; urgency=medium

  * Merge with Debian unstable (LP: #1595746). Remaining changes:
    - Fix Apache configuration to use mod_php7.c, not mod_php5.c.
  * debian/patches/php7_has_removed_ereg.patch: PHP7.0 has removed ereg
    as an API.  Closes LP: #1570968.

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Thu, 23 Jun 2016 15:55:27 -0700

phamm (0.6.2-1.2ubuntu1) xenial; urgency=medium

  * Update to PHP7.0 dependencies (LP: #1562950).

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Mon, 28 Mar 2016 09:54:43 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: phamm
 Section: web
 Priority: extra
-Maintainer: Phamm Team <team@phamm.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Phamm Team <team@phamm.org>
 Uploaders: Alessandro De Zorzi <lota@nonlontano.it>, Mirko Grava <ops@klez.it>
 Build-Depends: debhelper (>= 5), po-debconf, perl, dh-apache2 | apache2-dev
 Standards-Version: 3.9.5

=== debian/rules ===
--- 
+++ 
@@ -67,8 +67,8 @@
 	dh_installlogrotate
 	dh_compress
 	dh_install
+	dh_apache2
 	dh_fixperms
-	dh_install -pphamm debian/conf/apache.conf /etc/phamm/
 	dh_link -pphamm /etc/phamm/plugins /usr/share/phamm/plugins
 	dh_link -pphamm /usr/share/doc/phamm /usr/share/phamm/doc
 	dh_installdebconf
